%define api		1.32
%define lib_major	0
%define lib_name	%mklibname glom %{api} %{lib_major}
%define develname	%mklibname glom -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Easy-to-use database designer and user interface
Name:		glom
Version:	1.32.0
Release:	%mkrel 19
Group:		Development/Databases
License:	GPLv2+
URL:		http://www.glom.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(evince-view-3.0)
BuildRequires:	pkgconfig(gdkmm-3.0) >= 3.4.0
BuildRequires:	pkgconfig(giomm-2.4) >= 2.47.4
BuildRequires:	pkgconfig(goocanvas-2.0) >= 2.0.1
BuildRequires:	pkgconfig(goocanvasmm-2.0) >= 1.90.11
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.18.0
BuildRequires:	pkgconfig(gtksourceviewmm-3.0) >= 3.18.0
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libarchive) >= 3.0
BuildRequires:	pkgconfig(libepc-1.0)
BuildRequires:	pkgconfig(libgda-5.0) >= 5.2.1
BuildRequires:	pkgconfig(libgdamm-5.0) >= 4.99.10
BuildRequires:	pkgconfig(libgda-mysql-5.0)
BuildRequires:	pkgconfig(libgda-postgres-5.0)
BuildRequires:	pkgconfig(libgda-sqlite-5.0)
BuildRequires:	pkgconfig(libxml++-3.0) >= 2.24.0
BuildRequires:	pkgconfig(libxslt) >= 1.1.10
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.29.0
BuildRequires:	python3-gobject3
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-sphinx
BuildRequires:	boost-devel
BuildRequires:  boost-python3-devel
BuildRequires:	intltool >= 0.35
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	libxslt-proc
BuildRequires:	postgresql-devel
BuildRequires:	postgresql-server
BuildRequires:	postgresql-plpython3
BuildRequires:	postgresql-plpgsql
BuildRequires:	postgresql-pl
BuildRequires:	postgresql-contrib-virtual
BuildRequires:	gettext-devel
BuildRequires:	yelp-tools
Requires:	libgda5.0-postgres
Requires:	libgda5.0-sqlite
Requires:	postgresql postgresql-server postgresql-plpython3 postgresql-plpgsql postgresql-pl postgresql-contrib-virtual
Requires:	typelib(Gda)
Requires:	typelib(GData)
Requires:	typelib(Gdaui)
Requires:	python3-gobject3
Recommends:	evince

%description
Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the postgresql database backend.

%package -n %{lib_name}
Summary:	A support library for accessing Glom data
Group:		System/Libraries

%description -n %{lib_name}
A support library for accessing Glom data.

%package -n %{develname}
Summary:	Development files for Glom
Group:		Development/Other
Requires:	%{lib_name} = %version

%description -n %{develname}
Development files for Glom.

%prep
%setup -q

%build
export PYTHON_VERSION=3
export PYTHON=python3
export SPHINX_BUILD=%{_bindir}/sphinx-build-%{python3_version}
autoreconf -fi
%configure \
        --disable-dependency-tracking \
        --disable-static \
        --disable-update-mime-database \
	--with-boost-python=boost_python3 \
	--with-postgres-utils=%{_bindir}
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

#we don't want these
find %{buildroot} -type f -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}*
%{python3_sitearch}/*.so
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml

%files -n %{lib_name}
%{_libdir}/libglom-%{api}.so.%{lib_major}{,.*}

%files -n %{develname}
%{_libdir}/libglom-%{api}.so
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%doc %{_datadir}/doc/pyglom*
%doc %{_datadir}/doc/libglom-%api
%doc %{_datadir}/devhelp/books/*


%changelog
* Fri Jan 12 2024 wally <wally> 1.32.0-19.mga10
+ Revision: 2030535
- rebuild for boost 1.84.0

* Tue Dec 19 2023 papoteur <papoteur> 1.32.0-18.mga10
+ Revision: 2019491
- Mass Rebuild - Python 3.12

* Wed Sep 27 2023 wally <wally> 1.32.0-17.mga10
+ Revision: 1991440
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 1.32.0-16.mga9
+ Revision: 1926473
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 1.32.0-15.mga9
+ Revision: 1867251
- rebuild for boost 1.79.0

* Wed Apr 06 2022 umeabot <umeabot> 1.32.0-14.mga9
+ Revision: 1845879
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1.32.0-13.mga9
+ Revision: 1778411
- Rebuild for python-3.10

* Wed Dec 22 2021 wally <wally> 1.32.0-12.mga9
+ Revision: 1763301
- rebuild for missing pkgs in armv7hl

* Sun Dec 19 2021 wally <wally> 1.32.0-11.mga9
+ Revision: 1762612
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 1.32.0-10.mga9
+ Revision: 1744757
- drop RPATH
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 1.32.0-8.mga9
+ Revision: 1722962
- rebuild for boost 1.76.0

* Mon Mar 22 2021 daviddavid <daviddavid> 1.32.0-7.mga9
+ Revision: 1707866
- rebuild for python 3.9

* Thu Dec 31 2020 wally <wally> 1.32.0-6.mga8
+ Revision: 1666760
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.32.0-5.mga8
+ Revision: 1662002
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 1.32.0-4.mga8
+ Revision: 1578055
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 1.32.0-3.mga8
+ Revision: 1544749
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 1.32.0-2.mga8
+ Revision: 1483370
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Tue Oct 29 2019 ovitters <ovitters> 1.32.0-1.mga8
+ Revision: 1456505
- new version 1.32.0

* Sat Sep 21 2019 daviddavid <daviddavid> 1.31.6-10.mga8
+ Revision: 1444271
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 1.31.6-9.mga7
+ Revision: 1351704
- rebuild with python 3.7

* Tue Oct 16 2018 wally <wally> 1.31.6-8.mga7
+ Revision: 1321036
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 1.31.6-7.mga7
+ Revision: 1297916
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Mon Dec 25 2017 wally <wally> 1.31.6-6.mga7
+ Revision: 1184749
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 1.31.6-5.mga7
+ Revision: 1178320
- rebuild for boost 1.65

* Sat Sep 23 2017 tv <tv> 1.31.6-4.mga7
+ Revision: 1158154
- BR boost-python3-devel
- rebuild with latest boost

* Sat Aug 05 2017 pterjan <pterjan> 1.31.6-2.mga7
+ Revision: 1136206
- Fix for new find_lang
- Rebuild for python 3.6

* Sun Sep 18 2016 ovitters <ovitters> 1.31.6-1.mga6
+ Revision: 1053903
- new version 1.31.6

* Thu May 26 2016 luigiwalser <luigiwalser> 1.31.4-3.mga6
+ Revision: 1018770
- revert to 1.31.4 (1.31.5 needs libsigc++ 2.9.2)
- fix postgresql requires
+ ovitters <ovitters>
- new version 1.31.5

* Thu Apr 28 2016 daviddavid <daviddavid> 1.31.4-2.mga6
+ Revision: 1007030
- use new python macros

* Thu Mar 31 2016 ovitters <ovitters> 1.31.4-1.mga6
+ Revision: 997181
- new version 1.31.4

* Wed Mar 23 2016 tv <tv> 1.31.3-1.mga6
+ Revision: 994333
- BR pkgconfig(libepc-1.0)
+ ovitters <ovitters>
- new version 1.31.3
+ fwang <fwang>
- update br

* Thu Feb 25 2016 ovitters <ovitters> 1.31.2-1.mga6
+ Revision: 979200
- new version 1.31.2

* Fri Feb 12 2016 luigiwalser <luigiwalser> 1.31.1-3.mga6
+ Revision: 956048
- rebuild for libxml++

* Tue Jan 12 2016 daviddavid <daviddavid> 1.31.1-2.mga6
+ Revision: 922227
- rebuild for new boost 1.60.0

* Sun Nov 29 2015 wally <wally> 1.31.1-1.mga6
+ Revision: 907031
- new libapi 1.32
+ tv <tv>
- new release

* Wed Oct 07 2015 ovitters <ovitters> 1.30.0-2.mga6
+ Revision: 887192
- rebuild for new python3

* Fri Sep 25 2015 fwang <fwang> 1.30.0-1.mga6
+ Revision: 883417
- update file list
- bump req
- export sphinx bin
- br sphinx
- revert to 1.28.4
- force build with cpp11
- fix libname
- br python3-devel
- force python3
- br python3
+ tv <tv>
- bump req on libgdamm
- new release
+ ovitters <ovitters>
- new version 1.29.5
- new version 1.29.4

* Sat Jun 20 2015 ovitters <ovitters> 1.28.4-1.mga6
+ Revision: 836291
- new version 1.28.4

* Wed Oct 15 2014 umeabot <umeabot> 1.28.0-2.mga5
+ Revision: 741306
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 1.28.0-1.mga5
+ Revision: 732718
- new version 1.28.0

* Tue Sep 16 2014 umeabot <umeabot> 1.27.1-2.mga5
+ Revision: 679648
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Jul 09 2014 ovitters <ovitters> 1.27.1-1.mga5
+ Revision: 650789
- new version 1.27.1

* Thu Mar 06 2014 ovitters <ovitters> 1.26.0-1.mga5
+ Revision: 600491
- new version 1.26.0

* Thu Feb 06 2014 ovitters <ovitters> 1.25.6-1.mga5
+ Revision: 583954
- new version 1.25.6

* Wed Feb 05 2014 ovitters <ovitters> 1.24.3-1.mga5
+ Revision: 582772
- new version 1.24.3

* Sun Dec 29 2013 doktor5000 <doktor5000> 1.24.1-4.mga4
+ Revision: 563207
- add missing Requires on runtime dependencies to fix (mga#12138)
  o typelib(GData)
  o typelib(Gdaui)
  o Suggests on evince to fix EvinceDocument-WARNING
+ fwang <fwang>
- fix bug#12138: add more requirements

* Sat Oct 19 2013 umeabot <umeabot> 1.24.1-2.mga4
+ Revision: 536347
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 1.24.1-1.mga4
+ Revision: 484167
- new version 1.24.1

* Tue Sep 10 2013 fwang <fwang> 1.24.0-3.mga4
+ Revision: 477064
- rebuild for new postgresql

* Tue Jul 09 2013 fwang <fwang> 1.24.0-2.mga4
+ Revision: 451663
- rebuild for new boost

* Sat May 25 2013 ovitters <ovitters> 1.24.0-1.mga4
+ Revision: 427372
- fix api
- new version 1.24.0

* Thu Apr 11 2013 ennael <ennael> 1.22.1-5.mga3
+ Revision: 409610
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 1.22.1-4.mga3
+ Revision: 351825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.22.1-3.mga3
+ Revision: 332938
- rebuild for new boost

* Sat Nov 17 2012 fwang <fwang> 1.22.1-2.mga3
+ Revision: 319094
- br pg 9.2

* Thu Nov 08 2012 fwang <fwang> 1.22.1-1.mga3
+ Revision: 316327
- new version 1.22.1

* Tue Jul 31 2012 fwang <fwang> 1.22.0-2.mga3
+ Revision: 276563
- rebuild for new boost

* Wed Apr 11 2012 ovitters <ovitters> 1.22.0-1.mga3
+ Revision: 230211
- new version 1.22.0
- new version 1.21.8

* Thu Mar 22 2012 ovitters <ovitters> 1.21.7-2.mga2
+ Revision: 225771
- rebuild for new evince
- new version 1.21.7

* Tue Mar 06 2012 fwang <fwang> 1.21.6-1.mga2
+ Revision: 220359
- new version 1.21.6

* Wed Jan 25 2012 fwang <fwang> 1.21.5-1.mga2
+ Revision: 201213
- new version 1.21.5

* Tue Jan 24 2012 fwang <fwang> 1.21.4-1.mga2
+ Revision: 200615
- new version 1.21.4

* Tue Jan 17 2012 fwang <fwang> 1.21.3-1.mga2
+ Revision: 197497
- new version 1.21.3

* Thu Jan 12 2012 fwang <fwang> 1.21.2-1.mga2
+ Revision: 195142
- new version 1.21.2

* Mon Jan 02 2012 fwang <fwang> 1.21.1-1.mga2
+ Revision: 189566
- new version 1.21.1

* Sat Dec 31 2011 fwang <fwang> 1.20.4-1.mga2
+ Revision: 189200
- new version 1.20.4

* Thu Dec 22 2011 fwang <fwang> 1.20.3-1.mga2
+ Revision: 186011
- new version 1.20.3

* Tue Dec 13 2011 fwang <fwang> 1.20.2-1.mga2
+ Revision: 181241
- new version 1.20.2

* Wed Nov 30 2011 fwang <fwang> 1.20.1-1.mga2
+ Revision: 174320
- bump req
- new version 1.20.1
- rebuild for new boost

* Thu Nov 17 2011 wally <wally> 1.19.19-1.mga2
+ Revision: 168516
- new version 1.19.19

* Fri Oct 28 2011 wally <wally> 1.19.16-1.mga2
+ Revision: 159223
- new version 1.19.16

* Wed Oct 19 2011 fwang <fwang> 1.19.14-1.mga2
+ Revision: 156445
- drop merged patch
- new version 1.19.14

* Tue Oct 18 2011 wally <wally> 1.19.13-1.mga2
+ Revision: 156156
- new version 1.19.13

* Tue Oct 11 2011 wally <wally> 1.19.12-1.mga2
+ Revision: 153831
- handle more files with find_lang macro
- new version 1.19.12
- clean .spec a bit

* Sat Sep 24 2011 fwang <fwang> 1.19.11-2.mga2
+ Revision: 147329
- fix gdamm req in .pc file
- update file list
- br python-sphinx for doc
- use mt flavour
- versioned br
- br epc
- commit spec
- Created package structure for glom.

